## ide-environment ide-environment |

## Functions

gboolean | ide_environ_parse ()
IdeEnvironment * | ide_environment_new ()
void | ide_environment_setenv ()
const gchar * | ide_environment_getenv ()
gchar ** | ide_environment_get_environ ()
void | ide_environment_append ()
void | ide_environment_remove ()
IdeEnvironment * | ide_environment_copy ()
void | ide_environment_copy_into ()
void | ide_environment_set_environ ()

## Signals

void | changed | Run Last

## Types and Values

#define | IDE_TYPE_ENVIRONMENT
| IdeEnvironment

## Object Hierarchy

        GObject
        ╰── IdeEnvironment

## Implemented Interfaces

IdeEnvironment implements GListModel.

## Description

## Functions

### ide_environ_parse ()

    gboolean
    ide_environ_parse (const gchar *pair,
                       gchar **key,
                       gchar **value);

Parses a KEY=VALUE style key-pair into `key` and `value` .

#### Parameters

pair | the KEY=VALUE pair |
key | a location for a `key` . | [out][optional]
value | a location for a `value` . | [out][optional]

#### Returns

`TRUE` if `pair` was successfully parsed

Since: 3.32

### ide_environment_new ()

    IdeEnvironment *
    ide_environment_new (void);

### ide_environment_setenv ()

    void
    ide_environment_setenv (IdeEnvironment *self,
                            const gchar *key,
                            const gchar *value);

### ide_environment_getenv ()

    const gchar *
    ide_environment_getenv (IdeEnvironment *self,
                            const gchar *key);

### ide_environment_get_environ ()

    gchar **
    ide_environment_get_environ (IdeEnvironment *self);

Gets the environment as a set of key=value pairs, suitable for use in various GLib process functions.

#### Parameters

self | An IdeEnvironment |

#### Returns

A newly allocated string array.

[transfer full]

Since: 3.32

### ide_environment_append ()

    void
    ide_environment_append (IdeEnvironment *self,
                            IdeEnvironmentVariable *variable);

### ide_environment_remove ()

    void
    ide_environment_remove (IdeEnvironment *self,
                            IdeEnvironmentVariable *variable);

### ide_environment_copy ()

    IdeEnvironment *
    ide_environment_copy (IdeEnvironment *self);

Copies the contents of IdeEnvironment into a newly allocated IdeEnvironment.

#### Parameters

self | An IdeEnvironment |

#### Returns

An IdeEnvironment.

[transfer full]

Since: 3.32

### ide_environment_copy_into ()

    void
    ide_environment_copy_into (IdeEnvironment *self,
                               IdeEnvironment *dest,
                               gboolean replace);

### ide_environment_set_environ ()

    void
    ide_environment_set_environ (IdeEnvironment *self,
                                 const gchar * const *env);

## Types and Values

### IDE_TYPE_ENVIRONMENT

    #define IDE_TYPE_ENVIRONMENT (ide_environment_get_type())

### IdeEnvironment

    typedef struct _IdeEnvironment IdeEnvironment;

## Signal Details

### The `“changed”` signal

    void
    user_function (IdeEnvironment *ideenvironment,
                   gpointer        user_data)

Flags: Run Last